This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1014356 - graphite-web CarbonLink error: UnpicklingError: Attempting to unpickle unsafe module collections
graphite-web CarbonLink error: UnpicklingError: Attempting to unpickle unsafe...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: graphite-web (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 15:30 EDT by James Juran
Modified: 2013-11-10 15:18 EST (History)
1 user (show)

See Also:
Fixed In Version: graphite-web-0.9.12-5.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-04 21:49:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
possible fix (2.06 KB, text/plain)
2013-10-01 15:30 EDT, James Juran
no flags Details

  None (edit)
Description James Juran 2013-10-01 15:30:47 EDT
Created attachment 806144 [details]
possible fix

graphite-web 0.9.12 fixes a security issue with unpickling. Unfortunately it also seems to block data being returned via CarbonLink from the carbon-cache daemons. This is reported upstream at https://github.com/graphite-project/graphite-web/issues/423 . The attached patch is one way to fix it, but I do not know if it is the correct way.
Comment 1 Jonathan Steffan 2013-10-01 18:04:50 EDT
I'm not comfortable patching this until upstream commits a proper fix into master. I don't want to introduce anything into this CVE fix without upstream committing the change.
Comment 2 Jonathan Steffan 2013-10-01 18:48:32 EDT
After more closely reading the suggested patch and a little discussion on freenode, I'm more comfortable adding deque to the allowed PICKLE_SAFE. I wonder if carbon.util would also be appropriately patched but I am going to keep this patch isolated to graphite.util as it resolves this exact CarbonLink issue.

I will be doing a build with this fix shortly.
Comment 3 Jonathan Steffan 2013-10-01 19:33:35 EDT
http://koji.fedoraproject.org/koji/buildinfo?buildID=468883 has these patches applied. I will be waiting to issue this to -testing until I can mark the currently pending updates as stable.
Comment 4 James Juran 2013-10-01 21:19:47 EDT
Thank you Jonathan. If you have any useful input on the correctness of this approach, could you please comment in https://github.com/graphite-project/graphite-web/issues/423 to help get this merged upstream? The issue seems to be waiting for input from someone with more knowledge of Graphite/Carbon internals than I have acquired so far.
Comment 5 Fedora Update System 2013-10-25 11:04:51 EDT
graphite-web-0.9.12-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-5.el6
Comment 6 Fedora Update System 2013-10-25 11:05:10 EDT
graphite-web-0.9.12-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-5.fc19
Comment 7 Fedora Update System 2013-10-25 11:05:28 EDT
graphite-web-0.9.12-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-5.el5
Comment 8 Fedora Update System 2013-10-25 11:05:46 EDT
graphite-web-0.9.12-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-5.fc20
Comment 9 Fedora Update System 2013-10-25 11:06:02 EDT
graphite-web-0.9.12-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-5.fc18
Comment 10 Fedora Update System 2013-10-25 13:39:04 EDT
Package graphite-web-0.9.12-5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing graphite-web-0.9.12-5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11952/graphite-web-0.9.12-5.el6
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-11-04 21:49:02 EST
graphite-web-0.9.12-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-11-04 21:53:13 EST
graphite-web-0.9.12-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-11-10 03:15:28 EST
graphite-web-0.9.12-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-11-10 15:17:55 EST
graphite-web-0.9.12-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-11-10 15:18:12 EST
graphite-web-0.9.12-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.